OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000796OMNeT++runtime / Tkenvpublic2014-12-05 11:522015-03-04 09:53
Reporterandras 
Assigned Toandras 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.5 
Target VersionFixed in Version5.0b1 
Summary0000796: Apparent leaking of messages in Tkenv
DescriptionWhen running a simulation under Tkenv, the message counters on the info bar indicate that a new message is created at each send operation (in addition to the messages create by the simulation model.

See forum thread "send methods create a copy of message which are never deleted" from Nov 21 2014, https://groups.google.com/forum/#!topic/omnetpp/c7EwRyGYxOI [^]


TagsNo tags attached.
Attached Filespatch file icon omnetpp46-fix796.patch [^] (3,100 bytes) 2014-12-08 10:21 [Show Content]

- Relationships

-  Notes
(0000958)
andras (administrator)
2014-12-05 11:57

Explanation: It is Tkenv that duplicates the messages (in fact it stores a copy of each message sent), for a feature that was introduced in 4.5, during the Tkenv redesign.

In version 4.5, the "Log" view (bottom part of the Tkenv main window) has been improved significantly, and beyond the old "Log" page it also has a "Messages" page. The "Messages" page shows the messages sent within submodules of the selected compound module. Moreover, if the user selects a line in it, in the Object Inspector (bottom left) it will display the given message in detail, and every field can be inspected. With this feature, one can virtually use the "Messages" view as a protocol analyzer, can browse through the past traffic in that module at any time, and examine each message in detail.

One can configure the size of the event history (LogBuffer class as Korbinian discovered) in the Tkenv Preferences dialog. Old log entries are discarded, together with the duplicate of the old messages.

The bug is that those private copies are reflected in the message statistics too. They should not.
(0000959)
andras (administrator)
2014-12-05 12:04
edited on: 2014-12-05 12:09

Fixed; patch attached.

(0000960)
andras (administrator)
2014-12-08 10:21

Patch updated.

- Issue History
Date Modified Username Field Change
2014-12-05 11:52 andras New Issue
2014-12-05 11:57 andras Note Added: 0000958
2014-12-05 12:04 andras Note Added: 0000959
2014-12-05 12:04 andras Status new => resolved
2014-12-05 12:04 andras Resolution open => fixed
2014-12-05 12:04 andras Assigned To => andras
2014-12-05 12:08 andras File Added: omnetpp46-fix796.patch
2014-12-05 12:09 andras Note Edited: 0000959 View Revisions
2014-12-08 10:18 andras File Deleted: omnetpp46-fix796.patch
2014-12-08 10:21 andras File Added: omnetpp46-fix796.patch
2014-12-08 10:21 andras Note Added: 0000960
2014-12-12 16:16 andras Fixed in Version => 4.7
2015-03-04 09:53 rhornig Fixed in Version 4.7 => 5.0b1
2015-10-12 09:28 ammmar1988 Issue cloned: 0000862


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker